%%
%% This is file `au.cls',
%====================================================================
%%% @LaTeX-file{
%%%   filename  = "au.cls",
%%%   version   = "0.9",
%%%   date      = "2002/6/28",
%%%   author    = "C. R. Platt",
%%%   copyright = "Copyright 2002, Algebra Universalis,
%%%                all rights reserved.  Copying of this file is
%%%                authorized only if either:
%%%                (1) you make absolutely no changes to your copy,
%%%                including name; OR
%%%                (2) if you do make changes, you first rename it
%%%                to some other name.",
%%%   address   = "Algebra Universalis
%%%                Department of Mathematics
%%%                University of Manitoba
%%%                Winnipeg, Manitoba
%%%                Canada  R3T 2N2",
%%%   FAX       = "204-474-7606",
%%%   email     = "platt@cc.umanitoba.ca",
%%%   codetable = "ISO/ASCII",
%%%   abstract  = "This is the document class for Algebra Universalis.
%%%                It is designed for use with LaTeX, and is closely
%%%                modeled on the amsart class."
%%% }
%%%
%====================================================================

\NeedsTeXFormat{LaTeX2e}% LaTeX 2.09 can't be used (nor non-LaTeX)
[1994/12/01]% LaTeX date must December 1994 or later
\ProvidesClass{au}[2001/05/28 v0.9]

\LoadClass[reqno,tbtags]{amsart}



\footskip=24pt
\textheight=45pc \topskip=10pt
\def\ps@headings{\ps@empty
  \def\@evenhead{%
    \setTrue{runhead}%
    \normalfont\scriptsize
    \rlap{\thepage}\hfil \leftmark{}{}\hfil
            \llap{\aurhfont \shortpublname}}%
  \def\@oddhead{%
    \setTrue{runhead}%
    \normalfont\scriptsize 
    \rlap{Vol.~\currentvolume, \currentyear}\hfil
    \rightmark{}{}\hfil \llap{\thepage}}%
  \let\@mkboth\markboth
}
\def\@settitle{%
\begingroup
  \baselineskip14\p@\relax
    \bfseries \noindent \Large \raggedright \sloppy
  \@title
\endgroup
}
\def\@setauthors{%
  \begingroup
  \raggedright
  \lefthyphenmin=99
  \trivlist
\@topsep30\p@\relax
  \advance\@topsep by -\baselineskip
  \item\relax
  \andify\authors
  \def\\{\protect\linebreak}%
{\scshape \authors}%
  \endtrivlist
  \endgroup
}
\def\@setsubjclass{%
  {\itshape\subjclassname}\/:\enspace\@subjclass\@addpunct.}
\def\@setkeywords{%
  {\itshape \keywordsname}\/:\enspace \@keywords\@addpunct.}

\renewenvironment{abstract}{%
  \ifx\maketitle\relax
    \ClassWarning{\@classname}{Abstract should precede
      \protect\maketitle\space in AMS documentclasses; reported}%
  \fi
  \global\setbox\abstractbox=\vtop \bgroup
    \normalfont\Small
    \list{}{\labelwidth\z@
      \leftmargin1pc \rightmargin\leftmargin
      \listparindent\normalparindent \itemindent\z@
      \parsep\z@ \@plus\p@
      \let\fullwidthdisplay\relax
    }%
    \item[\hskip\labelsep\scshape\abstractname.]%
}{%
  \endlist\egroup
  \ifx\@setabstract\relax \@setabstracta \fi
}



\def\@secnumfont{\bfseries}
\def\section{\@startsection{section}{1}%
  \z@{\linespacing\@plus\linespacing}{\linespacing}%
  {\normalfont\bfseries}}
\def\subsection{\@startsection{subsection}{1}%
  \z@{.7\linespacing\@plus\linespacing}{-.5em}%
  {\normalfont\bfseries}}
\def\subsubsection{\@startsection{subsubsection}{1}%
  \z@{.5\linespacing\@plus.7\linespacing}{-.5em}%
  {\normalfont\itshape}}
\def\bibsection{\@startsection{section}{\@M}%
  \z@{.9\linespacing\@plus\linespacing}{.5\linespacing}%
  {\normalfont\scshape}}  
\renewenvironment{thebibliography}[1]{%
  \@xp\bibsection\@xp{\refname}%
  \normalfont\footnotesize\labelsep .5em\relax
  \renewcommand\theenumiv{\arabic{enumiv}}\let\p@enumiv\@empty
  \list{\@biblabel{\theenumiv}}{\settowidth\labelwidth{\@biblabel{#1}}%
    \leftmargin\labelwidth \advance\leftmargin\labelsep
    \usecounter{enumiv}}%
  \sloppy \clubpenalty\@M \widowpenalty\clubpenalty
  \sfcode`\.=\@m
  \raggedright  
}{%
  \def\@noitemerr{\@latex@warning{Empty `thebibliography' environment}}%
  \endlist
}
\def\footnoterule{\kern-.4\p@
        \hrule\@width \textwidth\kern11\p@\kern-\footnotesep}




 


\renewcommand{\datename}{\textit{Date}:}  


\endinput
%%
%% End of file `au.cls'.

